Update a TaskAsk AIpost https://api.servicem8.com/api_1.0/task/{uuid}.jsonOAuth Scope This endpoint requires the following OAuth scope manage_tasks.Path ParamsuuiduuidrequiredUUID of the TaskBody ParamsTask fields to updatedue_datestringThe date by which the task should be completed. Format is YYYY-MM-DD. For mobile app compatibility, may be returned with time component (HHMMSS) in some contexts.task_detailsstringDetailed description of the task. Contains more comprehensive information about what needs to be done, how to complete the task, or any other relevant notes.namestringrequiredThe name or title of the task. This field is mandatory and used to identify the task in listings and the user interface.related_objectstringThe name of the object class this task is related to. Must be a valid object class name in the system (e.g., 'job', 'client', etc.). The value is always stored as lowercase regardless of input case.related_object_uuiduuidUUID of the specific object instance this task is related to. Must be a valid UUID corresponding to an existing object of the type specified in related_object.task_completestringBoolean flag indicating whether the task has been completed (1) or is still pending (0). When set to 1, the completed_timestamp and completed_by_staff_uuid fields are automatically populated.completed_timestampstringThe date and time when the task was marked as complete. Format is YYYY-MM-DD HH:MM:SS. Automatically set when task_complete is changed to 1.completed_by_staff_uuiduuidUUID of the staff member who marked the task as complete. Automatically set to the current staff member's UUID when task_complete is changed to 1.assigned_to_staff_uuiduuidUUID of the staff member assigned to complete this task. Must be a valid staff UUID in the system.lngstringDEPRECATEDlatstringDEPRECATEDuuiduuidUnique identifier for this recordcreated_by_staff_uuiduuidcreate_datestringTimestamp at which record was last modifiedResponses 200Success - The record was updated successfully 400Bad Request - The request is malformed or contains invalid parameters 401Unauthorized - Authentication credentials are missing or invalid 403Forbidden - You don't have permission to update this resource 404Not Found - The record to update does not exist or has been deleted 429Too Many Requests - You have exceeded the rate limit 500Internal Server Error - An unexpected error occurred on the serverUpdated 9 months ago